Skip to main content
GET
/
markets
/
{marketId}
Get market details
curl --request GET \
  --url https://api.circular.rosetta.sh/api/v1/markets/{marketId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.circular.rosetta.sh/api/v1/markets/{marketId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.circular.rosetta.sh/api/v1/markets/{marketId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "uniqueKey": "<string>",
    "chainId": 123,
    "label": "<string>",
    "collateral": "<string>",
    "loan": "<string>",
    "collateralAddress": "<string>",
    "loanAddress": "<string>",
    "collateralPrice": 123,
    "loanPrice": 123,
    "supply": 123,
    "borrow": 123,
    "available": 123,
    "utilization": 123,
    "supplyApy": 123,
    "borrowApy": 123,
    "supplyRewardsApy": 123,
    "borrowRewardsApy": 123,
    "rewardTokens": [
      "<string>"
    ],
    "lltv": 123,
    "maxLeverage": 123,
    "strategyType": "<string>",
    "strategyInfo": {
      "type": "<string>",
      "label": "<string>",
      "description": "<string>",
      "color": "<string>",
      "icon": "<string>"
    },
    "vaultSymbol": "<string>",
    "vaultAddress": "<string>",
    "governor": "<string>",
    "oracle": {
      "address": "<string>",
      "feeds": [
        {
          "address": "<string>",
          "description": "<string>",
          "pair": "<string>"
        }
      ],
      "isComposite": true,
      "warnings": [
        "<string>"
      ]
    },
    "oracleHealth": {
      "lastUpdateTimestamp": 123,
      "secondsSinceUpdate": 123,
      "expectedHeartbeatSeconds": 123,
      "isStale": true,
      "stalenessRatio": 123
    }
  },
  "meta": {
    "latencyMs": 123,
    "freshness": "<string>",
    "source": "<string>"
  }
}

Authorizations

Authorization
string
header
required

API key in format circ_live_* or circ_test_*

Path Parameters

marketId
string
required

Unique market identifier (protocol-chainId-identifier)

Response

200 - application/json

Market details

data
object
meta
object